package in.gov.digilocker.uidai;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.Banner.Mode;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@ComponentScan(basePackages= {"in.gov.digilocker.uidai"})
public class UidaiApplication extends SpringBootServletInitializer {
	
	public UidaiApplication() {	
		setRegisterErrorPageFilter(false);
	}
	
	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {	
		return builder.bannerMode(Mode.OFF).sources(UidaiApplication.class);
	}
	
	public static void main(String[] args) {
		SpringApplication application= new SpringApplication(UidaiApplication.class);
		application.setBannerMode(Mode.OFF);
		application.run(args);	
	}

}
